Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZXML Class Reference

## Public Member Functions
| __construct ()

## Static Public Member Functions
static | domTree ( $xmlDoc, $params=array())
static | stripComments (&$str)
static & | parseAttributes ( $attributeString)

## Detailed Description

! eZXML eZXML handles parsing of well formed XML documents.

eZXML will create a DOM tree from well formed XML documents.

Definition at line 44 of file ezxml.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXML::__construct | ( |  | ) |

Constructor, should not be used all functions are static.

Definition at line 49 of file ezxml.php.

## Member Function Documentation

## ◆ domTree()

static eZXML::domTree | ( |  | $xmlDoc,
|  |  | $params = `array()`
| ) |  |
| static

Will return an DOM object tree from the well formed XML.

$params["TrimWhiteSpace"] = false/true : if the XML parser should ignore whitespace between tags.

Definition at line 60 of file ezxml.php.

References parseAttributes(), and stripComments().

Referenced by eZXMLRPCCall\decodeStream(), eZXMLRPCResponse\decodeStream(), eZQDomGenerator\decodeXML(), eZTechGenerator\decodeXML(), eZBackslashImporter\news(), eZRDFImporter\news(), eZRSSImporter\news(), eZQDomRenderer\renderIntro(), and eZQDomRenderer\renderPage().

## ◆ parseAttributes()

static& eZXML::parseAttributes | ( |  | $attributeString | ) |
| static

Parses the attributes. Returns false if no attributes in the supplied string is found.

Definition at line 290 of file ezxml.php.

References $ret.

Referenced by domTree().

## ◆ stripComments()

static eZXML::stripComments | ( | & | $str | ) |
| static

Definition at line 279 of file ezxml.php.

References $str.

Referenced by domTree().

The documentation for this class was generated from the following file:

- ezxml.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.